class Proposal {
  constructor(id, country, conditions, documents) {
    this.id = id;
    this.countryId = country;
    this.conditions = conditions;
    this.documents = documents;
    this.workplace = null;
    this.accommodation = null;
  }

  toJSON() {
    return JSON.stringify(this);
  }
}

Proposal.Workplace = class {
  constructor(jobTitle, companyName, address, salary, conditions, photoUrl = null) {
    this.jobTitle = jobTitle;
    this.companyName = companyName;
    this.address = address;
    this.salary = salary;
    this.photoUrl = photoUrl;
    this.conditions = conditions;
  }
}

Proposal.Accommodation = class {
  constructor(address, conditions, fee, utilities = 0, photoUrl = null) {
    this.address = address;
    this.conditions = conditions;
    this.fee = fee;
    this.utilities = utilities;
    this.photoUrl = photoUrl;
  }
}

const n = (a, b) => Math.round(Math.random() * (b - a) + a);
const textTemplate = `A mus erat curabitur a consectetur ornare cras a torquent condimentum eros ac id lorem ullamcorper. Suspendisse laoreet in parturient hac primis laoreet magna a mus maecenas a tincidunt leo felis odio nisi consectetur nec condimentum at duis diam vestibulum a est sapien tempor. Risus tempor eget a a cubilia gravida morbi orci gravida ullamcorper commodo tristique nam ultricies a. Sed suscipit netus fringilla est ut ac convallis ultricies praesent suspendisse sagittis non adipiscing a in leo integer a nunc curabitur dignissim aptent nullam proin vitae a.Ac nec metus est platea nec eu a nostra litora varius penatibus nibh a a fermentum aliquam suspendisse sodales feugiat suspendisse iaculis feugiat magna himenaeos maecenas morbi a. Vestibulum parturient nascetur erat morbi parturient velit proin orci pharetra volutpat ut eu cras magnis. Cursus adipiscing eu quis dis commodo id netus suspendisse vestibulum scelerisque rhoncus senectus dui congue.Tortor nullam class orci iaculis conubia parturient elementum vestibulum parturient adipiscing risus inceptos ad ullamcorper facilisi habitasse eleifend suspendisse eget adipiscing scelerisque suspendisse eu risus parturient mi faucibus adipiscing. Tincidunt tempor sed a torquent elit ullamcorper justo rhoncus consectetur hac lacus sem nunc quis nam adipiscing mus cubilia a porta amet id vestibulum. A nisi vestibulum sed vestibulum parturient a cursus adipiscing tristique montes a leo hendrerit urna sem mi odio quis ac facilisi magna ut a adipiscing euismod vestibulum sem magnis. A a potenti et a porttitor natoque posuere malesuada lacus taciti amet id a parturient luctus sodales blandit vestibulum tristique a risus phasellus mi vestibulum ac. Tempus parturient et id eu volutpat dolor a condimentum sed per ad erat praesent vivamus turpis eros iaculis elit vestibulum a a urna aliquam etiam. Habitasse quam proin condimentum est sem condimentum vestibulum morbi id mi condimentum ullamcorper fames orci ad commodo sem dolor ornare mattis commodo enim egestas proin phasellus rutrum nec.Vestibulum dapibus litora at consectetur cubilia urna suspendisse in suspendisse faucibus accumsan molestie mus cursus. Maecenas accumsan pulvinar nostra amet quis tellus ullamcorper parturient a a lobortis venenatis velit venenatis per et a. In malesuada vel dictum iaculis a vivamus felis tempus per ac scelerisque proin elit libero suspendisse aliquam cum vehicula nascetur ornare tincidunt at a dis consectetur proin vulputate. A ullamcorper dictumst malesuada molestie proin cubilia a ridiculus praesent praesent mi in felis penatibus hac varius scelerisque aliquet tortor praesent. Dolor mollis malesuada a convallis ornare adipiscing suspendisse sodales parturient id tempus commodo a cras porttitor turpis habitasse gravida a hendrerit aliquam sed vel felis. Ut magnis nibh a condimentum sociosqu laoreet phasellus feugiat nulla elementum venenatis condimentum est dictumst aliquet a dictumst a primis ullamcorper dignissim dignissim.Sem a a cursus a eu aliquet at condimentum fusce ad venenatis nascetur habitasse ad porta a eu adipiscing. Parturient inceptos et sed enim sodales ullamcorper rhoncus suspendisse nascetur ullamcorper et mattis urna libero sapien vestibulum sit eros parturient facilisis in nam consectetur et vestibulum massa. Torquent a id class vivamus dui diam ornare erat parturient enim ante in a adipiscing vestibulum praesent lacinia id maecenas egestas class at neque quam odio. Condimentum nullam risus eget justo conubia et blandit ullamcorper ultrices adipiscing a cum lorem aliquam laoreet venenatis est inceptos id.Blandt eu parturient a suspendisse a natoque ipsum parturient a rutrum vulputate ultrices consectetur metus dolor faucibus. Dolor nam integer vestibulum vitae volutpat faucibus sodales parturient cum a cras ullamcorper volutpat bibendum adipiscing a consequat dapibus torquent ante suspendisse cras ullamcorper congue. Aliquet suspendisse vivamus dictum habitasse erat venenatis vestibulum gravida sem hac arcu ut himenaeos proin vivamus. Imperdiet ipsum sed metus adipiscing fames conubia egestas sed adipiscing adipiscing est odio eros in eros condimentum eros dolor mi fermentum inceptos platea consequat aliquet adipiscing. Dis vehicula egestas a aptent consectetur scelerisque in rhoncus ut ac diam ullamcorper nisi tristique a vestibulum arcu consequat at nisi.A odio adipiscing ac habitant eget leo elit sed potenti odio a dis parturient a iaculis vivamus a ullamcorper dictumst ac taciti nostra. Id consectetur a fames sapien parturient mi donec dis gravida orci a dictumst a ornare tempor taciti amet nisl turpis ornare adipiscing habitasse a. Pulvinar mi taciti a dictum consectetur hendrerit adipiscing feugiat adipiscing ut egestas torquent rhoncus iaculis mi ante adipiscing. Mattis dapibus quam iaculis enim nostra parturient proin commodo arcu parturient a parturient adipiscing fames molestie parturient inceptos molestie porta id adipiscing consequat. Luctus tempor dictumst a laoreet enim parturient velit condimentum id cum ridiculus mollis ad adipiscing ullamcorper a nam a lacus ullamcorper suspendisse cras metus vestibulum curabitur. A a pretium ut accumsan a turpis lacinia et elit fusce ut dis luctus vel adipiscing vestibulum nulla massa.Molestie eu accumsan parturient aliquet elit vestibulum litora nullam adipiscing ornare condimentum vestibulum quam parturient quis consectetur porttitor senectus mus nullam in at interdum. In pretium facilisis ultrices est rhoncus mollis condimentum semper ac egestas scelerisque quam dis magnis a pharetra quam facilisis a nec proin. At enim iaculis nunc ac consectetur consectetur volutpat sed sagittis facilisi hac urna scelerisque eget ullamcorper vestibulum conubia senectus imperdiet penatibus enim erat parturient bibendum suspendisse at quis.Eu platea erat ipsum auctor nisi magna ipsum a diam mattis erat integer natoque cum enim a dui a nec. Parturient adipiscing suspendisse vestibulum vestibulum elementum gravida rhoncus vestibulum parturient luctus elementum etiam phasellus feugiat sed nam est volutpat. Magnis vehicula est elit a tellus a magnis parturient sapien vestibulum mauris praesent a taciti per neque scelerisque praesent imperdiet nibh adipiscing tortor donec tincidunt facilisis vestibulum lacus. Arcu in consectetur sed condimentum suspendisse metus a nunc tincidunt vitae conubia porta proin elementum ad sed nibh nec leo a adipiscing lacinia non cum vestibulum fringilla per per. Nisl vestibulum tincidunt condimentum vitae at nostra fames suspendisse sapien etiam a ante nec parturient torquent justo adipiscing metus himenaeos a egestas orci quis in arcu facilisi ac sed.Libero nascetur litora sit leo nam adipiscing sit a quam dui consectetur condimentum hac et mus nec et tempor nisi quam dictumst scelerisque. Ullamcorper suspendisse in neque suspendisse blandit dictumst vestibulum nec hac nisl massa ullamcorper aliquam adipiscing. Ut parturient dictumst vestibulum cras nisi ligula ullamcorper id dis at penatibus elit vestibulum mauris vestibulum pretium eu porttitor viverra.Parturient ullamcorper accumsan habitasse tempus condimentum facilisi sit quam amet nibh scelerisque a mi at phasellus aenean integer consectetur aptent dis augue scelerisque etiam placerat vestibulum nec at a. Convallis consectetur a cum suspendisse ornare ad diam lobortis dolor adipiscing dui natoque mauris venenatis erat. Suspendisse vestibulum a nisl a scelerisque metus ac vulputate gravida cubilia adipiscing cras sem a dictum sem nunc suspendisse diam suspendisse congue fringilla sit odio scelerisque natoque aliquet feugiat.Habitasse ullamcorper maecenas blandit ad vestibulum suspendisse est mauris ullamcorper laoreet ullamcorper quisque at a conubia sem ullamcorper vestibulum morbi orci lacinia massa a nibh risus elit. Ut in adipiscing vestibulum praesent pulvinar consectetur condimentum a elit ultrices adipiscing a ut dapibus ac. Ac vestibulum tristique at consectetur nunc a eu a nibh a parturient imperdiet urna nam netus a. At mi hac cubilia vestibulum consectetur ipsum ac feugiat primis integer ut dis porta a aliquam risus ac penatibus suspendisse scelerisque faucibus mattis taciti aliquet curae venenatis. Nec lorem nam mollis at at a primis duis penatibus id ac adipiscing a aliquam condimentum vestibulum tellus condimentum. Lorem nisl tempus orci volutpat interdum arcu porta suspendisse mi ad sem vitae diam condimentum vitae dui nec.Vitae scelerisque elit ligula mattis luctus placerat diam scelerisque integer metus parturient fringilla a at integer varius ac ut dictumst ante hac. Accumsan ad vestibulum euismod arcu iaculis sem arcu est parturient scelerisque integer natoque a nec purus lacus malesuada. A parturient rhoncus a eget ut elit fringilla commodo scelerisque imperdiet parturient mattis suspendisse donec vitae a natoque leo. Sociosqu dapibus a eleifend diam hac parturient adipiscing placerat mattis parturient ipsum penatibus consectetur fringilla potenti eget velit. Donec at vulputate porta senectus natoque parturient ornare suspendisse senectus adipiscing fringilla accumsan a malesuada vel suspendisse facilisis a nisi ullamcorper leo amet laoreet rutrum mi non id a. Id rhoncus laoreet id lobortis consequat quam magna a quisque eu per natoque ut a id scelerisque lacinia etiam.A magnis vitae at eros cum lacus cum dapibus a vestibulum parturient parturient in nisl laoreet erat faucibus senectus a est elementum consectetur consectetur parturient posuere suspendisse. Inceptos senectus iaculis adipiscing vivamus elementum ridiculus rhoncus praesent curabitur nibh erat nunc fringilla sem rhoncus bibendum imperdiet eleifend consectetur eu. Parturient mus nullam curae facilisis porttitor tincidunt in eget magnis convallis a ad egestas mi mus suspendisse orci venenatis erat a volutpat ullamcorper consectetur. Cursus vestibulum habitasse tincidunt posuere lacinia at a curabitur suspendisse vulputate per vestibulum velit eu arcu duis elit. Himenaeos vehicula a eget nam id dis conubia cubilia fermentum blandit aptent tortor luctus tristique libero in ultricies quis parturient ante metus enim penatibus ut egestas facilisis adipiscing.Nulla euismod phasellus mattis gravida dolor scelerisque ac parturient dui eget a a ridiculus nulla at at parturient eget nisl eget condimentum tempor ullamcorper eleifend parturient mi a quis. Faucibus a cum phasellus nec suspendisse pulvinar mi natoque augue turpis a sagittis a senectus fusce vel aptent ultricies ullamcorper. Class tristique elit id mauris erat phasellus nullam a interdum accumsan condimentum vel eu himenaeos ridiculus feugiat suscipit ut integer maecenas porttitor lacinia primis consectetur nascetur in.Class ut faucibus mauris pretium parturient mus molestie vestibulum lobortis tempus a id nulla a parturient arcu pulvinar ac erat cum parturient nibh nec ridiculus. A ornare consectetur ante commodo at a dictumst vivamus cubilia leo a enim nullam a porta donec non mi habitant condimentum. Dolor adipiscing in pharetra eu a curabitur vestibulum lacinia parturient in ut tortor a condimentum sit ac parturient auctor scelerisque. Elit proin nibh nisi sit sem accumsan vestibulum sit facilisi dui penatibus adipiscing inceptos praesent egestas ad id dui penatibus et arcu eros a fusce mi tempus.Suspendisse montes fames conubia condimentum sociosqu enim posuere libero facilisis integer mauris adipiscing ullamcorper blandit potenti feugiat parturient vestibulum tempor id parturient rhoncus adipiscing diam vel.Rutrum lobortis facilisis a ad suspendisse nullam diam condimentum cras ullamcorper consectetur augue et adipiscing fusce.Himenaeos potenti vitae a adipiscing eu sagittis a vestibulum condimentum lectus pharetra suspendisse consectetur fermentum urna urna ullamcorper pharetra orci luctus leo a sit vestibulum elit.Est eget nibh maecenas felis integer convallis sodales urna a consequat porta urna pulvinar adipiscing aenean per condimentum rhoncus quam.A egestas tempus rutrum a non dictum vel ac.`.split(' ');
const jobTitles = ["Construction Worker", "Taper", "Plumber", "Heavy Equipment Operator", "Vehicle or Equipment Cleaner", "Carpenter", "Electrician", "Painter", "Welder", "Handyman", "Boilermaker", "Crane Operator", "Building Inspector", "Pipefitter", "Sheet Metal Worker", "Iron Worker", "Mason", "Roofer", "Solar Photovoltaic Installer", "Well Driller", "Virtual Assistant", "Customer Service", "Customer Support", "Concierge", "Help Desk", "Customer Service Manager", "Technical Support Specialist", "Account Representative", "Client Service Specialist", "Customer Care Associate", "Waiter/Waitress", "Server", "Chef", "Fast Food Worker", "Barista", "Line Cook", "Cafeteria Worker", "Restaurant Manager", "Wait Staff Manager", "Bus Person", "Restaurant Chain Executive", "Warehouse Worker", "Painter", "Truck Driver", "Heavy Equipment Operator", "Welding", "Physical Therapy Assistant", "Housekeeper", "Landscaping Worker", "Landscaping Assistant", "Mover"]
const companyNames = "Alcoa,MicroVacuum,Cloudera,MVM Group,Mondelez International,General Motors,British Telecom,Flextronics,Panasonic Corp,Huawei,Tata Consultancy,Aegon,Nissan CEE,Volvo,Saab,Ford,GE Capital,Sberbank,ING Group,Allianz,KBC Group,UniCredit,Bank of China,KDB Bank,Hanwha Bank,MOL Group,OTP Bank Group,FHB Bank,Gedeon Richter Plc.,Magyar Telekom,CIG Pannonia,Rába,Nokia,Ericsson,Continental AG,Bosch,Microsoft,IBM,Teva,Novartis,Sanofi,American International Group,Avon Products,BlackRock,Bloomberg,Citigroup,Cushman & Wakefield,Chevrolet,Diageo,Getronics,Knorr-Bremse,Norbert Dentressangle,SEI Investments Company,SIA Central Europe,Syngenta,Visteon,Glencore,PricewaterhouseCoopers (Professional services),Deloitte Touche Tohmatsu,Deutsche Bank,Ernst & Young,Estée Lauder Companies,KPMG LLP,Marvel Entertainment,McGraw-Hill,McKinsey & Company,MetLife,Moody's,Morgan Stanley,MSCI,BDO International,MTV Networks,Liberty Global,CLS Music,Gramy Records,Hungaroton,Hunnia Film Studio,Pannonia Film Studio,SDI Media Hungary,Corvin Film,Time Warner,CIB Bank,Hungarian National Bank,International Training Center for Bankers,K&H Bank,MKB Bank,CBA,Borsod Brewery,Dreher Brewery,Győri Keksz,Pick Szeged,Törley,Traubi,Zwack,MAL Hungarian Aluminium,Csepel (automobile),Ganz Works,Ikarus Bus,Voestalpine,Vienna Insurance Group,Wienerberger,Strabag,OMV,Raiffeisen International,Erste Bank,Andritz,Samsung,LG,Misys,EDF Energy,Nav N Go,Inditex,British Petrol,Exxon Mobil,British American Tobacco,British Airways,ThyssenKrupp,Pfizer,Philip Morris International,Calvin Klein,Ralph Lauren,Reader's Digest Association,Rockstar Games,Sony Music Entertainment,Thomson Reuters,Tiffany & Co.,Universal Music Group,Viacom,Digital Reality,Graphisoft,Invictus Games,LogMeIn,NeocoreGames,Prezi,VirusBuster,Zen Studios,General Electric,Corvus Hungary LLC,BorsodChem,Magyar Posta,TriGránit,Zsolnay,Budapest Aircraft Service,Cinema City Hungary,CityLine Hungary,Danubius Hotels Group,Farnair Hungary,Gundel,Szerencsejáték Zrt.,Travel Service,Wizz Air,Budapest Stock Exchange,Hungarian Power Exchange,SAP".split(',');
const jobPhoto = 'img/default-proposal.jpg';

const getDescription = (a, b) => new Array(n(a,b)).fill('').map(() => textTemplate[n(0, textTemplate.length - 1)]).join(' ');

const getItem = () => {
  const item = new Proposal(n(10**10, 10**11), 114, getDescription(40, 100), getDescription(60, 200));
  item.accommodation = new Proposal.Accommodation(`Budapest, Orosz utca, ${n(1, 100)}`, getDescription(120, 200), 100 * n(400, 1000), 100 * n(100, 300), null);
  item.workplace = new Proposal.Workplace(jobTitles[n(0, jobTitles.length - 1)], companyNames[n(0, companyNames.length - 1)], `Budapest, Orosz utca, ${n(1, 100)}`, 1000 * (80, 350), getDescription(60, 120), jobPhoto);
  return item;
}
export default new Array(n(20, 30)).fill(0).map(() => getItem());
